[vte/vte-0-34] prompt: Return 0 instead of last exit status
- From: Christian Persch <chpe src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [vte/vte-0-34] prompt: Return 0 instead of last exit status
- Date: Sat, 25 May 2013 19:15:38 +0000 (UTC)
commit 4100d11e579108289f7e3c994865e77aa7c35422
Author: Michael Kuhn <suraia ikkoku de>
Date: Sat May 25 13:35:48 2013 +0200
prompt: Return 0 instead of last exit status
src/vte.sh | 6 +++---
1 files changed, 3 insertions(+), 3 deletions(-)
---
diff --git a/src/vte.sh b/src/vte.sh
index 184c6e7..bd84e08 100644
--- a/src/vte.sh
+++ b/src/vte.sh
@@ -16,13 +16,13 @@
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
# Not bash or zsh?
-[ -n "$BASH_VERSION" -o -n "$ZSH_VERSION" ] || return
+[ -n "$BASH_VERSION" -o -n "$ZSH_VERSION" ] || return 0
# Not an interactive shell?
-[[ $- == *i* ]] || return
+[[ $- == *i* ]] || return 0
# Not running under vte?
-[ "${VTE_VERSION:-0}" -ge 3405 ] || return
+[ "${VTE_VERSION:-0}" -ge 3405 ] || return 0
__vte_urlencode() (
# This is important to make sure string manipulation is handled
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]